#include <bits/stdc++.h>

using namespace std;

int main()
{
    int n;
    cin >> n;
    vector<int> a;
    vector<int> b;
    int i=1;
    a.push_back(n);
    b.push_back(n+1);
    for(int i = 1;i<n-1;i++){
        if(i%2==0){
            a.push_back(i);
            b.push_back(2*n-i+1);
        }
        else{
            a.push_back(2*n-i+1);
            b.push_back(i);
        }
    }
    if(n%2==0){
        a.push_back(n+2);
        b.push_back(n-1);
    }
    else{
        a.push_back(n-1);
        b.push_back(n+2);
    }
    for(int j=0;j<n;j++){
        cout<<a[j]<<" ";
    }
    cout<<endl;
    for(int j=0;j<n;j++){
        cout<<b[j]<<" ";
    }
}